#
# Author:   Christian Rost (chr@baltic-online.de)
# Purpose:  Shell-Interface to rrdtool
#
# Configuration-File for rrd.sh
#
DATADIR=/var/lib/rrdcollect
# Location of *.rrd-data-files
RRDDIR=$DATADIR/rrd
# Location of *.png-files
IMGDIR=$DATADIR/img
# Hostname used in title of png-images
HOSTNAME="WRT54GS"
# Location of rrdtool
RRDTOOL=/usr/bin/rrdtool
# Location of rrdcgi
RRDCGI=/usr/bin/rrdcgi
# Location of generated cgi-script
RRDCGISCRIPT=$DATADIR/rrd.cgi
# Image-Path relative to webserver-root
RRDCGIIMGPATH="/img"
# Location of netcat (used for fetching data from rrdcollect-daemon)
NETCAT=/usr/bin/nc

# Alternative settings for use on external machines
#RRDDIR=/home/webm/htdocs/stats/rrd/rrd
#IMGDIR=/home/webm/htdocs/stats/rrd/web
#RRDTOOL=/opt/rrd/bin/rrdtool
#RRDCGI=/opt/rrd/bin/rrdcgi
#RRDCGISCRIPT=/home/webm/cgi-bin/rrd.cgi
#RRDCGIIMGPATH="/stats/rrd/web"
#NETCAT=/opt/bin/nc


####################################################################################
# Configuration of statistic sources:
#
# Column 1:  Time-periods
#            I'm interrested in last-24hour-, last-week- and last-month-plots.
# Column 2:  Define precision/resolution of above three intervalls
#            These values have an impact on the size of your rrd-files,
#            and on the sharpness of your plots
#            RES=1 means maximum precision (every pixel in the plot is individual)
#            RES=4 -> 4 pixel represents one interval

# Optimized values for storing rather small rrd-files on the OpenADK-box
HOURS=24;H_RES=2;DAYS=7;D_RES=4;WEEKS=4;W_RES=4;
# Measure-Step (Same value should be in the rrdcollect.conf) Optimal: STEP=$HOURS / $PIXWIDTH * 3600 * $H_RES
STEP=360; MAXSTEP=`expr $STEP \* 2`

# Values for storing rrd-files externally outside the router allowing better resolution
#HOURS=24;H_RES=1;DAYS=32;D_RES=2;WEEKS=50;W_RES=2;
#STEP=180; MAXSTEP=`expr $STEP \* 2`
# Even better resolution
#HOURS=8;H_RES=1;DAYS=32;D_RES=2;WEEKS=50;W_RES=2;
#STEP=60; MAXSTEP=`expr $STEP \* 2`

# Format and size of the plots PIXWIDTH will be used in 
# calculating rrd-data-file dimensions during init of rrd-files
# If you change the size you must change NCGIPIXWIDTH too
PIXWIDTH=480
PIXHEIGHT=120
PIXFORMAT=PNG

# Image-Size of the thumbnail for rrdcgi
SCGIPIXWIDTH=400
# Normal Image-Size for rrdcgi (480px plotsize in rrd) 
NCGIPIXWIDTH=571

# Predefined colors
RED0=#ff0000; RED1=#ff5555;
GRN0=#009828; GRN1=#81ffa2;
ORG0=#ff9900; ORG1=#ffc571;
BLU0=#0030ff; BLU1=#8ba1ff;
CYA0=#ff00FF; CYA1=#ffbcfe;
YEL0=#ffff00; YEL1=#e0df76;
BLK0=#000000; BLK1=#7d7d7d;
WHI0=#FFFFFF; WHI1=#c1c1c1;

# Date-String used when creating images with rrd.sh
DATE=`/bin/date "+%d.%m.%Y %H:%M:%S"`

# Max-Values bytes/second and packets/second for WAN/Wifi/LAN Interfaces
MAXWANB=130000
MAXWANP=500
MAXWIFB=600000
MAXWIFP=800
MAXLANB=1200000
MAXLANP=1000

# RRD-Types:
# GAUGE=save the  value itself, no calculations at all
# COUNTER=continuously increasing value. difference between last 2 values must be positive ! (Traffic-Counter)
# DERIVE=like counter but can store negative values (rate of change in free disk-space)
#
# General syntax: PREFIX_POSTFIX=[-]<rrdcollect-variable>|Legend|RRD-Type|Maximum|Color|RRD-Plot-Type|Printf-Precision|Optional rrdgraph def-arguments

################
# Sys-Statistics
################
SYS_L01=" l1|System Load  (1 min)|GAUGE|U|$YEL0|AREA|%6.2lf"
SYS_L05=" l2|System Load  (5 min)|GAUGE|U|$ORG0|STACK|%6.2lf"
SYS_L15=" l3|System Load (15 min)|GAUGE|U|$RED0|STACK|%6.2lf"

SYS_CPN=" cn|CPU nice            |COUNTER|U|$YEL0|AREA|%6.2lf%%"
SYS_CPU=" cu|CPU user            |COUNTER|U|$ORG0|STACK|%6.2lf%%"
SYS_CPS=" cs|CPU system          |COUNTER|U|$RED0|STACK|%6.2lf%%"
SYS_CPI=" ci|CPU idle            |COUNTER|U|$GRN0|STACK|%6.2lf%%"

SYS_MEU=" mu|Memory used         |GAUGE|U|$BLU0|AREA"
SYS_MEF=" mf|Memory free         |GAUGE|U|$GRN0|STACK"
#SYS_MES=" ms|Memory shared       |GAUGE|U|$BLK0|LINE1"
SYS_MEB=" mb|Memory buffer       |GAUGE|U|$YEL0|LINE1"
SYS_MEC=" mc|Memory cached       |GAUGE|U|$RED0|LINE1"

SYS_FUS=" us|Flash Disk Used     |GAUGE|U|$BLU0|AREA|%6.2lf%s|CDEF:usC=us,1024,* CDEF:MAXusC=us,1024,*"
SYS_FAV=" av|Flash Disk Available|GAUGE|U|$GRN0|STACK|%6.2lf%s|CDEF:avC=av,1024,* CDEF:MAXavC=av,1024,*"

SYS_IRA="ira|Interrupts total    |COUNTER|U|$RED0|AREA"
SYS_IRE="ire|Interrupts eth0     |COUNTER|U|$ORG0|AREA"
SYS_IRW="irw|Interrupts wifi     |COUNTER|U|$YEL0|STACK"

SYS_PRT=" pt|Processes total     |GAUGE|U|$BLU0|AREA|%6.0lf"
SYS_CTX=" ct|Context switches    |COUNTER|U|$RED0|LINE2|%6.0lf"
SYS_PRR=" pr|Processes active    |GAUGE|U|$ORG0|AREA|%6.0lf"
SYS_ARP="arp|Arp Entries         |GAUGE|U|$YEL0|LINE2|%6.0lf"
SYS_PFK=" fk|Forks               |COUNTER|U|$GRN0|LINE2|%6.0lf"
SYS_CON="con|NAT-Connections     |GAUGE|U|$CYA0|LINE2|%6.0lf"

# Plot-Titles
MISC_STATS="Misc ($HOSTNAME)"
DSK_STATS="Flash Disk Usage ($HOSTNAME)"
USG_STATS="System Load ($HOSTNAME)"
MEM_STATS="Memory Usage ($HOSTNAME)"
CPU_STATS="CPU Usage ($HOSTNAME)"
IRQ_STATS="Interrupts ($HOSTNAME)"

# Plot-Definitions (sort-order is relevant)
SYS_CPU_STATS="CPN CPU CPS CPI"
#SYS_MEM_STATS="MEU MEF MES MEB MEC"
SYS_MEM_STATS="MEU MEF MEB MEC"
SYS_USG_STATS="L01 L05 L15"
SYS_DSK_STATS="FUS FAV"
SYS_MISC_STATS="PRT PRR ARP PFK CTX CON"
SYS_IRQ_STATS="IRA IRE IRW"

# Data-Definition needed by init()
SYS_ALL="$SYS_CPU_STATS $SYS_MEM_STATS $SYS_USG_STATS $SYS_DSK_STATS $SYS_MISC_STATS $SYS_IRQ_STATS"

#################################################################################################
# Wifi Traffic & Wan Traffic & Tunnel Traffic Statistics ; # LAN: vlan0 , WAN: vlan1 , eth1: WIFI
#################################################################################################
IF_WLOBY="Wibo |Outgoing Traffic Wifi      |COUNTER|$MAXWIFB|$GRN1|AREA"
IF_WLIBY="-Wibi|Incoming Traffic Wifi      |COUNTER|$MAXWIFB|$RED0|AREA"
IF_WLOPK="Wipo |Outgoing Packets Wifi      |COUNTER|$MAXWIFP|$GRN1|AREA|%6.0lf"
IF_WLIPK="-Wipi|Incoming Packets Wifi      |COUNTER|$MAXWIFP|$RED0|AREA|%6.0lf"

IF_WAIBY="-Wabi|Incoming Traffic Wan       |COUNTER|$MAXWANB|$BLU0|AREA"
IF_WAOBY="Wabo |Outgoing Traffic Wan       |COUNTER|$MAXWANB|$ORG1|AREA"
IF_WAIPK="-Wapi|Incoming Packets Wan       |COUNTER|$MAXWANP|$BLU0|AREA|%6.0lf"
IF_WAOPK="Wapo |Outgoing Packets Wan       |COUNTER|$MAXWANP|$ORG1|AREA|%6.0lf"

IF_LAIBY="-Labi|Incoming Traffic Lan       |COUNTER|$MAXLANB|$BLU0|AREA"       
IF_LAOBY="Labo |Outgoing Traffic Lan       |COUNTER|$MAXLANB|$ORG1|AREA"
IF_LAIPK="-Lapi|Incoming Packets Lan       |COUNTER|$MAXLANP|$BLU0|AREA|%6.0lf"
IF_LAOPK="Lapo |Outgoing Packets Lan       |COUNTER|$MAXLANP|$ORG1|AREA|%6.0lf"

#IF_TUIBY="-tbi|Incoming Traffic VPN-Tunnel|COUNTER|$MAXWANB|$CYA0|AREA"
#IF_TUOBY="tbo |Outgoing Traffic VPN-Tunnel|COUNTER|$MAXWANB|$YEL1|AREA"
#IF_TUIPK="-tpi|Incoming Packets VPN-Tunnel|COUNTER|$MAXWANP|$CYA0|AREA|%6.0lf"
#IF_TUOPK="tpo |Outgoing Packets VPN-Tunnel|COUNTER|$MAXWANP|$YEL1|AREA|%6.0lf"

# Plot-Titles
WIFI_TRAFFIC="Wifi Interface Traffic Statistics ($HOSTNAME)"
WIFI_PACKETS="Wifi Interface Packets Statistics ($HOSTNAME)"
WAN_TRAFFIC="Wan Interface Traffic Statistics ($HOSTNAME)"
WAN_PACKETS="Wan Interface Packets Statistics ($HOSTNAME)"
LAN_TRAFFIC="Lan Interface Traffic Statistics ($HOSTNAME)"
LAN_PACKETS="Lan Interface Packets Statistics ($HOSTNAME)"

#TUN_TRAFFIC="VPN-Tunnel Interface Traffic Statistics ($HOSTNAME)"
#TUN_PACKETS="VPN-Tunnel Interface Packets Statistics ($HOSTNAME)"

# Plot-Definitions (sort-order is relevant)
IF_WIFI_TRAFFIC="WLOBY WLIBY"
IF_WIFI_PACKETS="WLOPK WLIPK"
IF_WAN_TRAFFIC="WAIBY WAOBY"
IF_WAN_PACKETS="WAIPK WAOPK"
IF_LAN_TRAFFIC="LAIBY LAOBY"
IF_LAN_PACKETS="LAIPK LAOPK"
#IF_TUN_TRAFFIC="TUIBY TUOBY"
#IF_TUN_PACKETS="TUIPK TUOPK"

# Data-Definition needed by init()
#IF_ALL="$IF_WIFI_TRAFFIC $IF_WIFI_PACKETS $IF_WAN_TRAFFIC $IF_WAN_PACKETS $IF_TUN_TRAFFIC $IF_TUN_PACKETS"
IF_ALL="$IF_LAN_TRAFFIC $IF_LAN_PACKETS  $IF_WAN_TRAFFIC $IF_WAN_PACKETS $IF_WIFI_TRAFFIC $IF_WIFI_PACKETS"

##############################################
# Port Traffic Statistics  for Port 1 - Port 4
##############################################
#PT_OPK1="po1 |Port 1 Outgoing Packets  |COUNTER|U|$ORG1|AREA|%6.0lf"
#PT_IPK1="-pi1|Port 1 Incoming Packets  |COUNTER|U|$GRN0|AREA|%6.0lf"
#PT_COL1="cl1 |Port 1 Collisions        |COUNTER|U|$BLU0|AREA|%6.0lf"
#PT_ERR1="er1 |Port 1 Errors            |COUNTER|U|$CYA0|AREA|%6.0lf"
#PT_OBY1="bo1 |Port 1 Outgoing Traffic  |COUNTER|U|$ORG1|AREA"
#PT_IBY1="-bi1|Port 1 Incoming Traffic  |COUNTER|U|$GRN0|AREA"
#PT_OPK2="po2 |Port 2 Outgoing Packets  |COUNTER|U|$RED1|AREA|%6.0lf"
#PT_IPK2="-pi2|Port 2 Incoming Packets  |COUNTER|U|$BLK0|AREA|%6.0lf"
#PT_COL2="cl2 |Port 2 Collisions        |COUNTER|U|$GRN0|AREA|%6.0lf"
#PT_ERR2="er2 |Port 2 Errors            |COUNTER|U|$ORG0|AREA|%6.0lf"
#PT_OBY2="bo2 |Port 2 Outgoing Traffic  |COUNTER|U|$RED1|AREA"
#PT_IBY2="-bi2|Port 2 Incoming Traffic  |COUNTER|U|$BLK0|AREA"
#PT_OPK3="po3 |Port 3 Outgoing Packets  |COUNTER|U|$BLU1|AREA|%6.0lf"
#PT_IPK3="-pi3|Port 3 Incoming Packets  |COUNTER|U|$CYA0|AREA|%6.0lf"
#PT_COL3="cl3 |Port 3 Collisions        |COUNTER|U|$GRN0|AREA|%6.0lf"
#PT_ERR3="er3 |Port 3 Errors            |COUNTER|U|$ORG0|AREA|%6.0lf"
#PT_OBY3="bo3 |Port 3 Outgoing Traffic  |COUNTER|U|$BLU1|AREA"
#PT_IBY3="-bi3|Port 3 Incoming Traffic  |COUNTER|U|$CYA0|AREA"
#PT_OPK4="po4 |Port 4 Outgoing Packets  |COUNTER|U|$YEL1|AREA|%6.0lf"
#PT_IPK4="-pi4|Port 4 Incoming Packets  |COUNTER|U|$CYA0|AREA|%6.0lf"
#PT_COL4="cl4 |Port 4 Collisions        |COUNTER|U|$BLK0|AREA|%6.0lf"
#PT_ERR4="er4 |Port 4 Errors            |COUNTER|U|$RED0|AREA|%6.0lf"
#PT_OBY4="bo4 |Port 4 Outgoing Traffic  |COUNTER|U|$YEL1|AREA"
#PT_IBY4="-bi4|Port 4 Incoming Traffic  |COUNTER|U|$CYA0|AREA"

# Plot-Titles
#TRAFFIC_1="Traffic Statistics Port 1 ($HOSTNAME)"
#TRAFFIC_2="Traffic Statistics Port 2 ($HOSTNAME)"
#TRAFFIC_3="Traffic Statistics Port 3 ($HOSTNAME)"
#TRAFFIC_4="Traffic Statistics Port 4 ($HOSTNAME)"
#PACKETS_1="Packet Statistics Port 1 ($HOSTNAME)"
#PACKETS_2="Packet Statistics Port 2 ($HOSTNAME)"
#PACKETS_3="Packet Statistics Port 3 ($HOSTNAME)"
#PACKETS_4="Packet Statistics Port 4 ($HOSTNAME)"

# Plot-Definitions (sort-order is relevant)
#PT_TRAFFIC_1="OBY1 IBY1"
#PT_TRAFFIC_2="OBY2 IBY2"
#PT_TRAFFIC_3="OBY3 IBY3"
#PT_TRAFFIC_4="OBY4 IBY4"
#PT_PACKETS_1="OPK1 IPK1 COL1 ERR1"
#PT_PACKETS_2="OPK2 IPK2 COL2 ERR2"
#PT_PACKETS_3="OPK3 IPK3 COL3 ERR3"
#PT_PACKETS_4="OPK4 IPK4 COL4 ERR4"
#PT_PACKETS_1="OPK1 IPK1"
#PT_PACKETS_2="OPK2 IPK2"
#PT_PACKETS_3="OPK3 IPK3"
#PT_PACKETS_4="OPK4 IPK4"

# Data Definition needed by init()
#PT_ALL="$PT_TRAFFIC_1 $PT_TRAFFIC_2 $PT_TRAFFIC_3 $PT_TRAFFIC_4 $PT_PACKETS_1 $PT_PACKETS_2 $PT_PACKETS_3 $PT_PACKETS_4"

#################################
# Traffic Priorisation Statistics
#################################
#TC_APRIB="bwa|Ack Priority Queue Bandwidth         |COUNTER|$MAXWANB|$YEL0|AREA"
#TC_DPRIB="bwd|Default Priority Queue Bandwidth     |COUNTER|$MAXWANB|$ORG0|STACK"
#TC_HPRIB="bwh|High Priority Queue Bandwidth        |COUNTER|$MAXWANB|$RED0|STACK"
#TC_LPRIB="bwl|Low Priority Queue Bandwidth         |COUNTER|$MAXWANB|$GRN0|STACK"
#TC_APRID="dra|Ack Priority Queue Packet Dropped    |COUNTER|100|$YEL0|AREA"
#TC_DPRID="drd|Default Priority Queue Packet Dropped|COUNTER|100|$ORG0|STACK"
#TC_HPRID="drh|High Priority Queue Packet Dropped   |COUNTER|100|$RED0|STACK"
#TC_LPRID="drl|Low Priority Queue Packet Dropped    |COUNTER|100|$GRN0|STACK"

# Plot-Titles
#TRAFFIC="Traffic Priorisation Stats"
#PACKETS="Packet Priorisation Stats"

# Plot-Definitions (sort-order is relevant)
#TC_TRAFFIC="APRIB DPRIB HPRIB LPRIB"
#TC_PACKETS="APRID DPRID HPRID LPRID"

# Data Definition needed by init()
#TC_ALL="$TC_TRAFFIC $TC_PACKETS"

#################################
# Firewall Packet Drop Statistics
#################################
#PC_WIN="win|Windows Traffic        |COUNTER|U|$YEL0|AREA"
#PC_INV="inv|Invalid State Traffic  |COUNTER|U|$ORG0|STACK"
#PC_TCP="tcp|TCP Packets            |COUNTER|U|$RED0|STACK"
#PC_OTH="oth|Other Packets          |COUNTER|U|$BLU0|STACK"

# Plot-Titles
#DROPPED="Firewall Packet Drop Statistics"

# Plot-Definitions (sort-order is relevant)
#PC_DROPPED="WIN INV TCP OTH"

# Data Definition needed by init()
#PC_ALL="$PC_DROPPED"

##########################
# Traffic Accounting Stats
##########################
#ACI="Incoming for "; ACO="Outgoing for "
#IP14="notebook"; COL14=$ORG0; COL_14=$ORG1
#IP15="saugi   "; COL15=$RED0; COL_15=$RED1
#IP20="aplink  "; COL20=$GRN0; COL_20=$GRN1
#IP50="sunny   "; COL50=$BLU0; COL_50=$BLU1

#TYPE=AREA
#for i in 15 50 20 14
#do
#        # Packet-Statistics
#        eval AC_TIP$i='-TIP$i\|$ACI'"\$IP$i\|COUNTER\|$MAXWANP\|\$COL$i\|$TYPE"
#        eval  AC_TOP$i='TOP$i\|$ACO'"\$IP$i\|COUNTER\|$MAXWANP\|\$COL_$i\|$TYPE"
#        eval AC_UIP$i='-UIP$i\|$ACI'"\$IP$i\|COUNTER\|$MAXWANP\|\$COL$i\|$TYPE"
#        eval  AC_UOP$i='UOP$i\|$ACO'"\$IP$i\|COUNTER\|$MAXWANP\|\$COL_$i\|$TYPE"
#        eval AC_IIP$i='-IIP$i\|$ACI'"\$IP$i\|COUNTER\|$MAXWANP\|\$COL$i\|$TYPE"
#        eval  AC_IOP$i='IOP$i\|$ACO'"\$IP$i\|COUNTER\|$MAXWANP\|\$COL_$i\|$TYPE"
#        # Traffic Statistics
#        eval AC_TIB$i='-TIB$i\|$ACI'"\$IP$i\|COUNTER\|$MAXWANB\|\$COL$i\|$TYPE"
#        eval  AC_TOB$i='TOB$i\|$ACO'"\$IP$i\|COUNTER\|$MAXWANB\|\$COL_$i\|$TYPE"
#        eval AC_UIB$i='-UIB$i\|$ACI'"\$IP$i\|COUNTER\|$MAXWANB\|\$COL$i\|$TYPE"
#        eval  AC_UOB$i='UOB$i\|$ACO'"\$IP$i\|COUNTER\|$MAXWANB\|\$COL_$i\|$TYPE"
#        eval AC_IIB$i='-IIB$i\|$ACI'"\$IP$i\|COUNTER\|$MAXWANB\|\$COL$i\|$TYPE"
#        eval  AC_IOB$i='IOB$i\|$ACO'"\$IP$i\|COUNTER\|$MAXWANB\|\$COL_$i\|$TYPE"
#	# Plot-Definitions (sort-order is relevant)
#	AC_TB_O="$AC_TB_O TOB$i"; AC_TB_I="$AC_TB_I TIB$i"
#        AC_TP_O="$AC_TP_O TOP$i"; AC_TP_I="$AC_TP_I TIP$i"
#        AC_UB_O="$AC_UB_O UOB$i"; AC_UB_I="$AC_UB_I UIB$i"
#        AC_UP_O="$AC_UP_O UOP$i"; AC_UP_I="$AC_UP_I UIP$i"
#        AC_IB_O="$AC_IB_O IOB$i"; AC_IB_I="$AC_IB_I IIB$i"
#        AC_IP_O="$AC_IP_O IOP$i"; AC_IP_I="$AC_IP_I IIP$i"
#        TYPE=STACK
#done 
#AC_TB="$AC_TB_O $AC_TB_I"; AC_TP="$AC_TP_O $AC_TP_I"
#AC_UB="$AC_UB_O $AC_UB_I"; AC_UP="$AC_UP_O $AC_UP_I"
#AC_IB="$AC_IB_O $AC_IB_I"; AC_IP="$AC_IP_O $AC_IP_I";

# Plot-Titles
#TB="TCP Traffic Accounting Stats ($HOSTNAME)"; TP="TCP  Packet Accounting Stats ($HOSTNAME)"
#UB="UDP Traffic Accounting Stats ($HOSTNAME)"; UP="UDP  Packet Accounting Stats ($HOSTNAME)"
#IB="ICMP Traffic Accounting Stats ($HOSTNAME)";IP="ICMP Packet Accounting Stats ($HOSTNAME)"

# Data Definition needed by init()
#AC_ALL="$AC_TB $AC_TP $AC_UB $AC_UP $AC_IB $AC_IP"


# System Statistics
GRAPH_1="SYS|USG_STATS|$USG_STATS|Load"
GRAPH_2="SYS|CPU_STATS|$CPU_STATS|CPU-Time_in_%|1000|--upper-limit 100 --rigid --logarithmic --lower-limit 0.1"
GRAPH_3="SYS|MEM_STATS|$MEM_STATS|Bytes|1024"
GRAPH_4="SYS|DSK_STATS|$DSK_STATS|Bytes|1024"
GRAPH_5="SYS|MISC_STATS|$MISC_STATS|_|1000|--logarithmic"
GRAPH_6="SYS|IRQ_STATS|$IRQ_STATS|IRQ_per_second|1000"
# Interface Traffic Statistics
GRAPH_7="IF|LAN_TRAFFIC|$LAN_TRAFFIC|Bytes_per_second"
GRAPH_8="IF|LAN_PACKETS|$LAN_PACKETS|Packets_per_second"
GRAPH_9="IF|WAN_TRAFFIC|$WAN_TRAFFIC|Bytes_per_second"
GRAPH_10="IF|WAN_PACKETS|$WAN_PACKETS|Packets_per_second"
GRAPH_11="IF|WIFI_TRAFFIC|$WIFI_TRAFFIC|Bytes_per_second"
GRAPH_12="IF|WIFI_PACKETS|$WIFI_PACKETS|Packets_per_second"
#GRAPH_11="IF|TUN_TRAFFIC|$TUN_TRAFFIC|Bytes_per_second"
#GRAPH_12="IF|TUN_PACKETS|$TUN_PACKETS|Packets_per_second"
# Port Traffic Statistics
#GRAPH_13="PT|TRAFFIC_1|$TRAFFIC_1|Bytes_per_second"
#GRAPH_14="PT|PACKETS_1|$PACKETS_1|Packets_per_second"
#GRAPH_15="PT|TRAFFIC_2|$TRAFFIC_2|Bytes_per_second"
#GRAPH_16="PT|PACKETS_2|$PACKETS_2|Packets_per_second"
#GRAPH_17="PT|TRAFFIC_3|$TRAFFIC_3|Bytes_per_second"
#GRAPH_18="PT|PACKETS_3|$PACKETS_3|Packets_per_second"
#GRAPH_19="PT|TRAFFIC_4|$TRAFFIC_4|Bytes_per_second"
#GRAPH_20="PT|PACKETS_4|$PACKETS_4|Packets_per_second"
# Traffic Priorisation Statistics
# GRAPH_21="TC|TRAFFIC|$TRAFFIC|Bytes_per_second|1000|--logarithmic"
# GRAPH_22="TC|PACKETS|$PACKETS|Packets_per_second"
# Accounting Statistics
#GRAPH_23="AC|TB|$TB|Bytes_per_second"
#GRAPH_24="AC|TP|$TP|Packets_per_second"
#GRAPH_25="AC|UB|$UB|Bytes_per_second"
#GRAPH_26="AC|UP|$UP|Packets_per_second"
#GRAPH_27="AC|IB|$IB|Bytes_per_second"
#GRAPH_28="AC|IP|$IP|Packets_per_second"
# Firewall Drop Statistics
#GRAPH_29="PC|DROPPED|$DROPPED|Packets_per_second"

#ALL_PRAEFIXES="SYS IF PT TC AC PC"
ALL_PRAEFIXES="SYS IF"
GRAPH_MAX=12
